export class Extension {
    constructor(config = {}) {
        Object.defineProperty(this, "config", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: config
        });
        Object.defineProperty(this, "type", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'extension'
        });
    }
    getInputRules() {
        return [];
    }
    getProseMirrorPlugins(editor, schema) {
        return [];
    }
    getCommands(editor) {
        return {};
    }
    getKeyboardShortcuts() {
        return {};
    }
    getConverters() {
        return {};
    }
    setupSpec(spec) {
    }
}
