import { Fragment, Node as ProseMirrorNode, type ParseOptions, Schema } from 'prosemirror-model';
import type { Content } from '../types.js';
export type CreateNodeFromContentOptions = {
    slice?: boolean;
    parseOptions?: ParseOptions;
    errorOnInvalidContent?: boolean;
};
export declare function elementFromString(value: string): HTMLElement;
export declare function createNodeFromHTML(content: string, schema: Schema, options?: CreateNodeFromContentOptions): ProseMirrorNode | Fragment;
export declare function createNodeFromObject(content: Content | ProseMirrorNode | Fragment, schema: Schema, options?: CreateNodeFromContentOptions): ProseMirrorNode | Fragment;
export declare function createNodeFromContent(content: string | Content | ProseMirrorNode | Fragment, schema: Schema, options?: CreateNodeFromContentOptions): ProseMirrorNode | Fragment;
//# sourceMappingURL=createNodeFromContent.d.ts.map