export class Mark {
    constructor(config = {}) {
        Object.defineProperty(this, "config", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: config
        });
        Object.defineProperty(this, "type", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'mark'
        });
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'node'
        });
    }
    getMarkSpec() {
        throw new Error('MarkSpec not defined: ' + this.name);
    }
    getInputRules(type) {
        return [];
    }
    getCommands(editor, type) {
        return {};
    }
    getKeyboardShortcuts() {
        return {};
    }
}
