import { Command, EditorState, Plugin, Transaction } from 'prosemirror-state';
export declare class InputRule {
    readonly match: RegExp;
    handler: (state: EditorState, match: RegExpMatchArray, start: number, end: number) => Transaction | null;
    undoable: boolean;
    inCode: boolean | 'only';
    constructor(match: RegExp, handler: string | ((state: EditorState, match: RegExpMatchArray, start: number, end: number) => Transaction | null), options?: {
        undoable?: boolean;
        inCode?: boolean | 'only';
    });
}
type PluginState = {
    transform: Transaction;
    from: number;
    to: number;
    text: string;
} | null;
export declare class InputRulesPlugin extends Plugin<PluginState> {
    constructor(rules: readonly InputRule[]);
}
export declare const undoInputRule: Command;
export {};
//# sourceMappingURL=InputRulesPlugin.d.ts.map